<div class="overflow-hidden container-border container-background-color p-10">
  <nz-tabset
    [sqtmCoreWorkspace]="selectedWorkspace"
    [localTheme]="true"
    [nzSelectedIndex]="selectedIndex"
    (nzSelectedIndexChange)="changeSelectedWorkspace($event)"
  >
    <nz-tab [nzTitle]="requirementTitleTemplate">
      <ng-template #requirementTitleTemplate>
        <ng-container
          *ngTemplateOutlet="tabTitle; context: { name: 'requirement' }"
        ></ng-container>
      </ng-template>
      <ng-template nz-tab>
        <div class="tree-picker flex-column">
          <div class="full-height">
            <sqtm-core-requirement-picker
              [initialSelectedNodes]="initiallySelectedRequirement"
            ></sqtm-core-requirement-picker>
          </div>
          <ng-container
            *ngTemplateOutlet="buttons; context: { picker: requirementPicker }"
          ></ng-container>
        </div>
      </ng-template>
    </nz-tab>
    <nz-tab [nzTitle]="testCaseTitleTemplate">
      <ng-template #testCaseTitleTemplate>
        <ng-container
          *ngTemplateOutlet="tabTitle; context: { name: 'test-case' }"
        ></ng-container>
      </ng-template>
      <ng-template nz-tab>
        <div class="tree-picker flex-column">
          <div class="full-height">
            <sqtm-core-test-case-picker
              [initialSelectedNodes]="initiallySelectedTestCase"
            ></sqtm-core-test-case-picker>
          </div>
          <ng-container
            *ngTemplateOutlet="buttons; context: { picker: testCasePicker }"
          ></ng-container>
        </div>
      </ng-template>
    </nz-tab>
    <nz-tab [nzTitle]="campaignTitleTemplate">
      <ng-template #campaignTitleTemplate>
        <ng-container
          *ngTemplateOutlet="tabTitle; context: { name: 'campaign' }"
        ></ng-container>
      </ng-template>
      <ng-template nz-tab>
        <div class="tree-picker flex-column">
          <div class="full-height">
            <sqtm-core-campaign-limited-picker
              [initialSelectedNodes]="initiallySelectedCampaign"
            ></sqtm-core-campaign-limited-picker>
          </div>
          <ng-container
            *ngTemplateOutlet="buttons; context: { picker: campaignPicker }"
          ></ng-container>
        </div>
      </ng-template>
    </nz-tab>
  </nz-tabset>
</div>

<ng-template #tabTitle let-name="name">
  <div
    class="current-workspace-main-color"
    [sqtmCoreWorkspace]="name + '-workspace'"
    [localTheme]="true"
  >
    <i nz-icon [nzType]="'sqtm-core-custom-report:' + name"></i>
    <span>{{
      'sqtm-core.' + name + '-workspace.label.short' | translate
    }}</span>
  </div>
</ng-template>

<ng-template #buttons let-picker="picker">
  <div class="flex-fixed-size p-10 flex-row">
    <button
      [attr.data-test-element-id]="'confirm'"
      class="m-l-auto"
      nz-button
      nzType="primary"
      (click)="handleConfirm(picker)"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-element-id]="'cancel'"
      class="m-l-10"
      nz-button
      nzType="default"
      (click)="handleClose()"
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </div>
</ng-template>
